# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Sort			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Sort_DIR			=	$(DIR_MORPHEO)/Behavioural/Generic/Sort

#-----[ Library ]------------------------------------------

Sort_LIBRARY		= 	-lSort	\
					$(Behavioural_LIBRARY)	

Sort_DIR_LIBRARY		=	-L$(Sort_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Sort_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile;

Sort_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Sort_DIR) --makefile=Makefile clean;
